#include <stdio.h>
#include <bios.h>
#include "sio.h"

main()
{
	int c;

	sio_init(SIO_COM2, 9600, 8, 1, SIO_NO_PARITY);
	for (;;) {
		if ((c = sio_get(2)) != -1)
			printf("%c", c);
		if (_bios_keybrd(_KEYBRD_READY)) {
			c = getch();
			if ((char)c == 0x1b) {
				sio_close();
				return (0);
			}
			if ((char)c == '6') c = 6;
			if ((char)c == '0') c = 0;
			sio_put(2, c);
			printf("%c(%02x)", c, c);
		}
	}
}
